﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace tx_sql_store
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
            textControl1.RulerBar = rulerBar2;
            textControl1.ButtonBar = buttonBar1;
            textControl1.StatusBar = statusBar1;
            textControl1.VerticalRulerBar = rulerBar1;
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'docsDataSet.documents' table. You can move, or remove it, as needed.
            this.documentsTableAdapter.Fill(this.docsDataSet.documents);
        }

        DataRowView curView;

        private void bindingSource1_CurrentChanged(object sender, EventArgs e)
        {
            try
            {
                // curView is the last visible document
                // store curView when user navigates to the next document
                if (curView != null)
                {
                    string data;
                    textControl1.Save(out data, TXTextControl.StringStreamType.RichTextFormat);
                    curView["doc"] = data;

                    // update the database
                    documentsTableAdapter.Update(docsDataSet);
                }

                // get the new selected data row
                DataRowView curRow = (DataRowView)bindingSource1.Current;

                // check whether the selected document is a new document
                // and add an unique id
                if (curRow["id"].Equals(DBNull.Value))
                {
                    curRow["id"] = bindingSource1.Count;
                    textControl1.ResetContents();
                    curView = curRow;
                }
                else
                {
                    // load the current document into TX Text Control
                    curView = curRow;
                    textControl1.Load(curRow["doc"].ToString(), TXTextControl.StringStreamType.RichTextFormat);
                }
            }
            catch (Exception exc)
            {
                statusBar1.Text = exc.Message;
            }
        }

        private void bindingSource1_AddingNew(object sender, AddingNewEventArgs e)
        {
            // reset the current document
            // a new document has been created
            curView = null;
        }
    }
}
